"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Outline = exports.Default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = require("@chakra-ui/react");
var _react2 = _interopRequireDefault(require("react"));
var meta = {
  title: 'Atoms/Form Elements/Input',
  parameters: {
    backgrounds: {
      "default": 'white',
      values: [{
        name: 'white',
        value: '#fff'
      }, {
        name: 'brightTeal',
        value: '#4CDED7'
      }]
    }
  }
};
var _default = meta;
exports["default"] = _default;
var Default = {
  parameters: {
    backgrounds: {
      "default": 'brightTeal'
    }
  },
  render: function render(args) {
    return /*#__PURE__*/_react2["default"].createElement(_react.FormControl, null, /*#__PURE__*/_react2["default"].createElement(_react.FormLabel, null, "Your email"), /*#__PURE__*/_react2["default"].createElement(_react.Input, (0, _extends2["default"])({}, args, {
      type: "email"
    })));
  }
};
exports.Default = Default;
var Outline = {
  parameters: {
    backgrounds: {
      "default": 'brightTeal'
    }
  },
  render: function render(args) {
    return /*#__PURE__*/_react2["default"].createElement(_react.FormControl, null, /*#__PURE__*/_react2["default"].createElement(_react.FormLabel, null, "Your email"), /*#__PURE__*/_react2["default"].createElement(_react.Input, (0, _extends2["default"])({}, args, {
      type: "email",
      variant: "outline"
    })));
  }
};
exports.Outline = Outline;