"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SlantedSectionTop = exports.Section = exports.HeroSection = exports.ExtendedSectionRight = exports.ExtendedSectionLeft = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@chakra-ui/react");
var _excluded = ["backgroundColor"],
  _excluded2 = ["backgroundColor", "showCardDecoration"],
  _excluded3 = ["backgroundColor"],
  _excluded4 = ["backgroundColor"],
  _excluded5 = ["backgroundColor"];
var Section = function Section(_ref) {
  var backgroundColor = _ref.backgroundColor,
    restProps = (0, _objectWithoutProperties2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_react2.Box, (0, _extends2["default"])({
    bg: backgroundColor,
    as: "section",
    width: "100%",
    minHeight: "500px"
  }, restProps));
};
exports.Section = Section;
var HeroSection = function HeroSection(_ref2) {
  var backgroundColor = _ref2.backgroundColor,
    showCardDecoration = _ref2.showCardDecoration,
    restProps = (0, _objectWithoutProperties2["default"])(_ref2, _excluded2);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(Section, (0, _extends2["default"])({
    bg: backgroundColor,
    position: "relative"
  }, restProps, {
    _after: {
      content: '""',
      position: 'absolute',
      backgroundColor: 'inherit',
      height: '81px',
      width: '40%',
      left: '0px',
      bottom: '-79px'
    }
  })), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    display: !showCardDecoration ? "none" : {
      base: "none",
      sm: "block"
    },
    transform: "translateY(0px)",
    position: "relative",
    _before: {
      content: '""',
      display: "block",
      position: 'absolute',
      height: '220px',
      width: '180px',
      transformOrigin: 'center',
      top: '0px',
      left: '-85px',
      backgroundColor: '#E45E37',
      transform: 'rotate(38.25deg)',
      zIndex: '2'
    },
    _after: {
      content: '""',
      display: "block",
      position: 'absolute',
      height: '220px',
      width: '180px',
      transformOrigin: 'center',
      top: '83px',
      left: '-85px',
      backgroundColor: '#FCC24B',
      transform: 'rotate(-21.9deg)',
      zIndex: '1'
    }
  }));
};
exports.HeroSection = HeroSection;
var ExtendedSectionLeft = function ExtendedSectionLeft(_ref3) {
  var backgroundColor = _ref3.backgroundColor,
    restProps = (0, _objectWithoutProperties2["default"])(_ref3, _excluded3);
  return /*#__PURE__*/_react["default"].createElement(Section, (0, _extends2["default"])({
    bg: backgroundColor,
    mt: "5rem",
    position: "relative"
  }, restProps, {
    _after: {
      content: '""',
      position: 'absolute',
      backgroundColor: 'inherit',
      height: '50px',
      width: '40%',
      left: '0px',
      top: '-45px'
    }
  }));
};
exports.ExtendedSectionLeft = ExtendedSectionLeft;
var ExtendedSectionRight = function ExtendedSectionRight(_ref4) {
  var backgroundColor = _ref4.backgroundColor,
    restProps = (0, _objectWithoutProperties2["default"])(_ref4, _excluded4);
  return /*#__PURE__*/_react["default"].createElement(Section, (0, _extends2["default"])({
    position: "relative",
    bg: backgroundColor
  }, restProps, {
    _after: {
      content: '""',
      position: 'absolute',
      backgroundColor: 'inherit',
      height: '81px',
      width: '35%',
      left: '65%',
      bottom: '-79px'
    }
  }));
};
exports.ExtendedSectionRight = ExtendedSectionRight;
var SlantedSectionTop = function SlantedSectionTop(_ref5) {
  var backgroundColor = _ref5.backgroundColor,
    restProps = (0, _objectWithoutProperties2["default"])(_ref5, _excluded5);
  return /*#__PURE__*/_react["default"].createElement(Section, (0, _extends2["default"])({
    bg: backgroundColor,
    mt: "5rem",
    minHeight: "550px"
  }, restProps, {
    _before: {
      content: '""',
      position: 'relative',
      display: 'flex',
      backgroundColor: 'inherit',
      height: '80px',
      top: '-43',
      transform: 'skewY(1.5deg)',
      width: '100%',
      backfaceVisibility: 'initial'
    }
  }));
};
exports.SlantedSectionTop = SlantedSectionTop;