"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Default = void 0;
var _HomepageHero = _interopRequireDefault(require("./HomepageHero"));
var _react = _interopRequireDefault(require("react"));
var meta = {
  title: 'components/Hero/Homepage Hero',
  component: _HomepageHero["default"],
  parameters: {
    layout: 'centered'
  }
};
var _default = meta;
exports["default"] = _default;
var Default = {
  args: {
    heading: 'for a just and equal society',
    subHeading: 'Everyone’s rights needs to be protected',
    introduction: 'We champion the work of Law Centres across the UK, support the services they provide, and campaign together on a national scale for equal access to justice for everyone.',
    callToAction: 'Join the fight for a fairer society',
    heroImage: 'homepage-hero-image.png',
    heroImageAltText: 'A collage of people standing up for an equal and fair society',
    headingBackground: 'heading-background.svg',
    callToActionLink: 'https://google.com'
  },
  render: function render(args) {
    return /*#__PURE__*/_react["default"].createElement(_HomepageHero["default"], args);
  }
};
exports.Default = Default;