"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.HeroWithImage = exports.Default = void 0;
var _Hero = _interopRequireDefault(require("./Hero"));
var _react = _interopRequireDefault(require("react"));
var _selectColours = require("../../../atoms/Colours/selectColours");
var _heroimage = _interopRequireDefault(require("../../../assets/heroimage.png"));
var meta = {
  title: 'components/Hero/Hero',
  component: _Hero["default"],
  parameters: {
    layout: 'fullscreen'
  }
};
var _default = meta;
exports["default"] = _default;
var Default = {
  args: {
    pageTitle: '— about law centres network',
    backgroundColour: 'brand.legacyBlue',
    textColour: 'brand.white.500',
    heading: 'Fairness is at the heart of what we do',
    subHeading: 'Lorem ipsum dolor sit amet consectetur. Sed hac laoreet risus iaculis donec. In dolor tincidunt sed elementum cursus rhoncus adipiscing. Semper sed eget dignissim.'
  },
  argTypes: {
    backgroundColour: _selectColours.selectColours,
    textColour: _selectColours.selectColours
  },
  render: function render(args) {
    return /*#__PURE__*/_react["default"].createElement(_Hero["default"], args);
  }
};
exports.Default = Default;
var HeroWithImage = {
  args: {
    pageTitle: '— about law centres network',
    backgroundColour: 'brand.legacyBlue',
    textColour: 'brand.white.500',
    heading: 'Fairness is at the heart of what we do',
    image: _heroimage["default"],
    imageAlt: 'this is some alt text'
  },
  argTypes: {
    backgroundColour: _selectColours.selectColours,
    textColour: _selectColours.selectColours
  },
  render: function render(args) {
    return /*#__PURE__*/_react["default"].createElement(_Hero["default"], args);
  }
};
exports.HeroWithImage = HeroWithImage;