"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Default = void 0;
var _react = _interopRequireDefault(require("react"));
var _LatestNews = _interopRequireDefault(require("./LatestNews"));
var _megaphone = _interopRequireDefault(require("../../assets/megaphone.png"));
var dummyArticles = [{
  title: 'News Home',
  slug: 'news',
  articleImage: null,
  heroDescription: 'A description of the news page should be placed over here',
  overrideDate: '2023-07-25T00:00:00.000+01:00'
}, {
  title: 'Vivamus egestas eros tincidunt metus posuere aliquam. ',
  slug: 'news-item-3',
  heroDescription: 'A hero description to test formatting',
  overrideDate: '2023-07-24T00:00:00.000+01:00',
  articleImage: {
    url: 'https://images.ctfassets.net/y26owwfe9yxn/iwapxsmK1BiSNxpRaPBMB/b78d5ebaac4eb1ad766e1e51d5fadb30/newsbodyimage.png',
    description: 'this is a description'
  }
}, {
  title: 'Law Centres join call for nationwide rent freeze',
  slug: 'news-home-2',
  heroDescription: null,
  overrideDate: '2023-07-19T00:00:00.000+01:00',
  articleImage: {
    url: 'https://images.ctfassets.net/y26owwfe9yxn/iwapxsmK1BiSNxpRaPBMB/b78d5ebaac4eb1ad766e1e51d5fadb30/newsbodyimage.png',
    description: 'this is a description'
  }
}];
var _default = {
  title: 'Components/Latest News ',
  component: _LatestNews["default"],
  args: {
    articles: dummyArticles,
    backgroundColor: 'brand.brightPink',
    cardBackgroundColor: 'brand.brightTeal',
    headingColor: 'brand.white.500',
    backgroundImage: "".concat(_megaphone["default"]),
    cardTextColor: ''
  }
};
exports["default"] = _default;
var Default = function Default(args) {
  return /*#__PURE__*/_react["default"].createElement(_LatestNews["default"], args);
};
exports.Default = Default;