"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.MenuComponent = void 0;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@chakra-ui/react");
var _default = {
  component: _react2.Menu,
  argTypes: {
    menuButton: {
      description: 'The content of the menu button',
      control: {
        type: 'text'
      }
    },
    menuItem1: {
      description: 'The content of the first menu item',
      control: {
        type: 'text'
      }
    },
    menuItem2: {
      description: 'The content of the second menu item',
      control: {
        type: 'text'
      }
    },
    menuItem3: {
      description: 'The content of the third menu item',
      control: {
        type: 'text'
      }
    }
  }
};
exports["default"] = _default;
var MenuComponent = function MenuComponent(_ref) {
  var menuButton = _ref.menuButton,
    menuItem1 = _ref.menuItem1,
    menuItem2 = _ref.menuItem2,
    menuItem3 = _ref.menuItem3;
  return /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    width: "100%"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Menu, null, /*#__PURE__*/_react["default"].createElement(_react2.MenuButton, null, menuButton || 'Actions'), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    display: "flex",
    justifyContent: "center"
  }, /*#__PURE__*/_react["default"].createElement(_react2.MenuList, null, /*#__PURE__*/_react["default"].createElement(_react2.MenuGroup, {
    title: "Profile"
  }, /*#__PURE__*/_react["default"].createElement(_react2.MenuItem, null, menuItem1 || 'Download'), /*#__PURE__*/_react["default"].createElement(_react2.MenuItem, null, menuItem2 || 'Create a Copy'), /*#__PURE__*/_react["default"].createElement(_react2.MenuItem, null, menuItem3 || 'Mark as Draft'))))));
};
exports.MenuComponent = MenuComponent;