"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@chakra-ui/react");
var Statistic = function Statistic(_ref) {
  var statisticOne = _ref.statisticOne,
    labelOne = _ref.labelOne,
    statisticTwo = _ref.statisticTwo,
    labelTwo = _ref.labelTwo,
    textColor = _ref.textColor;
  return /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    bg: "inherit",
    color: textColor || 'brand.darkBlue',
    py: "1rem",
    pl: "1rem",
    maxWidth: statisticTwo ? '439px' : '250px',
    gap: statisticTwo ? '3.5rem' : 0,
    flexWrap: "wrap",
    justifyContent: "center",
    as: "dl"
  }, /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
    spacing: 5
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    as: "dd",
    fontWeight: 600,
    fontFamily: "bodyAlternative",
    fontSize: "2.5xl"
  }, statisticOne), /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    as: "dt",
    maxWidth: "15ch",
    fontSize: "2xs"
  }, ' ', labelOne)), statisticTwo && /*#__PURE__*/_react["default"].createElement(_react2.Stack, {
    spacing: 5
  }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    as: "dd",
    fontWeight: 600,
    fontFamily: "bodyAlternative",
    fontSize: "2.5xl"
  }, statisticTwo), /*#__PURE__*/_react["default"].createElement(_react2.Text, {
    maxWidth: "15ch",
    as: "dt",
    fontSize: "2xs"
  }, ' ', labelTwo)));
};
var _default = Statistic;
exports["default"] = _default;