"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.TwoStatistics = exports.OneStatistic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Statistic = _interopRequireDefault(require("./Statistic"));
var _selectColours = require("../../atoms/Colours/selectColours");
var _default = {
  title: 'Components/Statistic',
  component: _Statistic["default"],
  parameters: {
    backgrounds: {
      "default": 'brightTeal',
      values: [{
        name: 'brightTeal',
        value: '#4cded7'
      }, {
        name: 'grey',
        value: '#7A7D84'
      }]
    }
  },
  args: {
    statisticOne: ' £11',
    labelOne: 'of direct funding',
    statisticTwo: ' £14',
    labelTwo: 'in services and discounts'
  },
  argTypes: {
    textColor: _selectColours.selectColours
  }
};
exports["default"] = _default;
var OneStatistic = function OneStatistic(args) {
  return /*#__PURE__*/_react["default"].createElement(_Statistic["default"], {
    statisticOne: args.statisticOne,
    labelOne: args.labelOne
  });
};
exports.OneStatistic = OneStatistic;
var TwoStatistics = function TwoStatistics(args) {
  return /*#__PURE__*/_react["default"].createElement(_Statistic["default"], args);
};
exports.TwoStatistics = TwoStatistics;