"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
exports.getColor = getColor;
function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it["return"] != null) it["return"](); } finally { if (didErr) throw err; } } }; }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
var colors = {
  brand: {
    legacyBlue: '#425390',
    legacyTeal: '#00838A',
    legacyPink: '#C90061',
    legacyOrange: '#E45E37',
    legacyGrey: '#7A7D84',
    darkBlue: '#0B0768',
    brightBlue: {
      500: '#574CFF',
      400: '#574CFFCC',
      accessible: '#FFF'
    },
    brightTeal: '#4CDED7',
    brightPink: '#FF4476',
    warmYellow: {
      500: '#FCC24B',
      400: '#FCC24BCC',
      accessible: '#0B0768'
    },
    white: {
      500: '#FFF',
      400: '#FFFFFFCC',
      accessible: '#0B0768'
    }
  }
};
function getColor(key) {
  var keys = key.split('.');
  var colorObject = colors.brand[keys[0]] ? colors.brand : colors;
  var _iterator = _createForOfIteratorHelper(keys),
    _step;
  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var k = _step.value;
      if (colorObject[k] === undefined) {
        return null;
      }
      colorObject = colorObject[k];
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }
  return colorObject;
}
var _default = colors;
exports["default"] = _default;