"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.White = exports.Primary = void 0;
var _react = _interopRequireDefault(require("react"));
var _Logo = require("./Logo");
var _lcnLogo = _interopRequireDefault(require("../../assets/lcn-logo.svg"));
var _lcnLogoWhite = _interopRequireDefault(require("../../assets/lcn-logo-white.svg"));
var meta = {
  title: 'Atoms/Logos',
  parameters: {
    backgrounds: {
      "default": 'mint',
      values: [{
        name: 'white',
        value: '#fff'
      }, {
        name: 'mint',
        value: '#4CDED7'
      }]
    }
  }
};
var _default = meta;
exports["default"] = _default;
var Primary = {
  render: function render() {
    return /*#__PURE__*/_react["default"].createElement(_Logo.Logo, {
      src: _lcnLogo["default"],
      alt: 'The Law Centres Network Logo'
    });
  }
};
exports.Primary = Primary;
var White = {
  parameters: {
    background: 'grey'
  },
  render: function render() {
    return /*#__PURE__*/_react["default"].createElement(_Logo.Logo, {
      src: _lcnLogoWhite["default"],
      alt: 'The Law Centres Network Logo'
    });
  }
};
exports.White = White;