"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.SlantedTopSection = exports.HeroSectionSection = exports.ExtendedRightSection = exports.ExtendedLeftSection = exports.DefaultSection = void 0;
var _react = _interopRequireDefault(require("react"));
var _selectColours = require("../Colours/selectColours");
var _Section = require("./Section");
var _default = {
  title: 'Atoms/Section',
  argTypes: {
    bg: _selectColours.selectColours
  }
};
exports["default"] = _default;
var DefaultSection = function DefaultSection(args) {
  return /*#__PURE__*/_react["default"].createElement(_Section.Section, args);
};
exports.DefaultSection = DefaultSection;
DefaultSection.args = {
  bg: 'brand.legacyBlue'
};
var ExtendedLeftSection = function ExtendedLeftSection(args) {
  return /*#__PURE__*/_react["default"].createElement(_Section.ExtendedSectionLeft, args);
};
exports.ExtendedLeftSection = ExtendedLeftSection;
ExtendedLeftSection.args = {
  bg: 'brand.legacyBlue'
};
var HeroSectionSection = function HeroSectionSection(args) {
  return /*#__PURE__*/_react["default"].createElement(_Section.HeroSection, args);
};
exports.HeroSectionSection = HeroSectionSection;
HeroSectionSection.args = {
  bg: 'brand.legacyBlue'
};
var ExtendedRightSection = function ExtendedRightSection(args) {
  return /*#__PURE__*/_react["default"].createElement(_Section.ExtendedSectionRight, args);
};
exports.ExtendedRightSection = ExtendedRightSection;
ExtendedRightSection.args = {
  bg: 'brand.legacyBlue'
};
var SlantedTopSection = function SlantedTopSection(args) {
  return /*#__PURE__*/_react["default"].createElement(_Section.SlantedSectionTop, args);
};
exports.SlantedTopSection = SlantedTopSection;
SlantedTopSection.args = {
  bg: 'brand.legacyBlue'
};