"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@chakra-ui/react");
var _excluded = ["backgroundColor", "textColor", "children", "type"];
var Callout = function Callout(_ref) {
  var backgroundColor = _ref.backgroundColor,
    textColor = _ref.textColor,
    children = _ref.children,
    type = _ref.type,
    restProps = (0, _objectWithoutProperties2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
    maxWidth: type === 'short' ? '540px' : type === 'default' ? '730px' : '843px'
  }, /*#__PURE__*/_react["default"].createElement(_react2.Box, (0, _extends2["default"])({
    bg: backgroundColor,
    color: textColor,
    position: "relative",
    width: "100%",
    height: "fit-content",
    padding: "2rem",
    display: "flex",
    flexWrap: "wrap",
    mx: "min(40px, 20px)"
  }, restProps, {
    _after: {
      content: '""',
      position: 'absolute',
      backgroundColor: 'inherit',
      width: 'min(40px, 20px)',
      height: '50%',
      right: ' -20px',
      top: 0
    },
    _before: {
      content: '""',
      position: 'absolute',
      backgroundColor: 'inherit',
      width: 'min(40px, 20px)',
      height: '50%',
      left: '-20px',
      bottom: 0
    }
  }), /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    maxWidth: type === 'short' ? '520px' : type === 'default' ? '550px' : '700px'
  }, children)));
};
var _default = Callout;
exports["default"] = _default;