"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@chakra-ui/react");
var Feature = function Feature(_ref) {
  var featureItems = _ref.featureItems,
    textColor = _ref.textColor;
  return /*#__PURE__*/_react["default"].createElement(_react2.Box, {
    as: "ul"
  }, featureItems.map(function (featureItem) {
    return /*#__PURE__*/_react["default"].createElement(_react2.Flex, {
      minHeight: "120px",
      borderTop: "1px solid",
      gap: "1.5rem",
      as: "li",
      py: "2rem",
      key: featureItems.indexOf(featureItem),
      justifyContent: "space-between",
      alignItems: "center",
      color: textColor
    }, /*#__PURE__*/_react["default"].createElement(_react2.Text, {
      fontFamily: "bodyAlternative",
      fontSize: "lg",
      lineHeight: 1.2,
      width: {
        base: '100%',
        sm: '250px'
      }
    }, ' ', featureItem.fields.label, ' '), /*#__PURE__*/_react["default"].createElement(_react2.Text, {
      width: {
        base: '100%',
        sm: '250px'
      }
    }, featureItem.fields.description));
  }));
};
var _default = Feature;
exports["default"] = _default;