"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var Input = {
  variants: {
    "default": function _default(_ref) {
      var colorScheme = _ref.colorScheme;
      return {
        addon: {
          fontSize: 'xs',
          bg: "".concat(colorScheme),
          color: "".concat(colorScheme),
          borderColor: "".concat(colorScheme)
        },
        field: {
          bg: 'white',
          fontSize: '2xs',
          borderRadius: 'none',
          _hover: {
            border: '3px solid',
            borderColor: "".concat(colorScheme)
          },
          _focus: {
            border: '3px solid',
            borderColor: "".concat(colorScheme)
          },
          _active: {
            border: '3px solid',
            borderColor: "".concat(colorScheme)
          }
        }
      };
    },
    outline: function outline(_ref2) {
      var colorScheme = _ref2.colorScheme;
      return {
        addon: {
          fontSize: 'xs',
          bg: "".concat(colorScheme),
          color: "".concat(colorScheme),
          borderColor: "".concat(colorScheme)
        },
        field: {
          bg: 'none',
          borderColor: "".concat(colorScheme),
          border: '2px solid',
          fontSize: '2xs',
          borderRadius: 'none',
          _hover: {
            border: '3px solid',
            borderColor: "".concat(colorScheme)
          },
          _focus: {
            border: '3px solid',
            borderColor: "".concat(colorScheme)
          },
          _active: {
            border: '3px solid',
            borderColor: "".concat(colorScheme)
          }
        }
      };
    }
  },
  defaultProps: {
    colorScheme: 'brand.darkBlue',
    variant: 'default'
  }
};
var _default2 = Input;
exports["default"] = _default2;